Skip to main content
GET
/
api
/
jobs
Get jobs
curl --request GET \
  --url https://api.example.com/api/jobs \
  --header 'Authorization: Bearer <token>'
[
  {
    "job_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_id": "<string>",
    "job_type": "airflow.dataeng",
    "source": "<string>",
    "destination": "<string>",
    "schedule": "<string>",
    "properties_json": "<string>",
    "status": "new",
    "status_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "last_started_at": "2023-11-07T05:31:56Z",
    "last_completed_at": "2023-11-07T05:31:56Z",
    "last_failed_at": "2023-11-07T05:31:56Z",
    "is_deleted": false,
    "deleted_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Jobs retrieved successfully.

job_name
string
required

Specifies the name of the job.

id
string<uuid> | null

Unique ID of the job.

owner_id
string | null

The logged in user's email ID.

job_type
enum<string> | null

Defines the category of job.

Available options:
airflow.dataeng,
airflow.nlp,
airflow.ingest,
airflow.airbyte,
mirror
source
string | null

Indicates where the data originates.

destination
string | null

Specifies where the data or output is sent or stored.

schedule
string | null

The cron expression that specifies how often the job must be executed.

properties_json
string | null

Additional job properties in JSON format.

status
enum<string>
default:new

Current status of the job.

Available options:
new,
running,
completed,
failed
status_message
string | null

Detailed status message or error information.

created_at
string<date-time>

Timestamp when the job was created.

last_started_at
string<date-time> | null

Timestamp when the job was started.

last_completed_at
string<date-time> | null

Timestamp when the job last completed successfully.

last_failed_at
string<date-time> | null

Timestamp when the job last failed.

is_deleted
boolean
default:false

Flag indicating whether the job has been deleted.

deleted_at
string<date-time> | null

Timestamp when the job was deleted.